### Method

# Gtk TreeStore is_ancestor

#### Declaration [src]

    gboolean
    gtk_tree_store_is_ancestor (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter,
      GtkTreeIter* descendant
    )

#### Description [src]

Returns `TRUE` if `iter` is an ancestor of `descendant`. That is, `iter` is the parent (or grandparent or great-grandparent) of `descendant`.

#### Parameters

`iter` | `GtkTreeIter`
| A valid `GtkTreeIter`.
| The data is owned by the caller of the function.
`descendant` | `GtkTreeIter`
| A valid `GtkTreeIter`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE`, if `iter` is an ancestor of `descendant`.